<?php

include( "includes/config.php" );
include( "classes/class_db_" . $config[ 'DB_LAYER' ] . ".php" );
$database = new database;
include( "classes/class_security.php" );
include( "classes/class_system.php" );
$system = new system;
$security = new security;

if( !isset( $config[ 'DB_ENGINE' ] ) )
{
	$config[ 'DB_ENGINE' ] = "MyISAM";
}
define( "DB_PREFIX", $security -> localcheckvare( $config[ 'DB_PREFIX' ] ) );
define( "DB_ENGINE", $security -> localcheckvare( $config[ 'DB_ENGINE' ] ) );

$database -> dbconnect();

$preferences = array();
$query = $database -> dbquery( "SELECT preference_key, preference_value FROM " . DB_PREFIX . "esselbach_ct_preferences WHERE preference_website = '0' OR preference_website = '" . intval( $config[ 'WEBSITE' ] ) . "'" );

while( list( $preference_key, $preference_value ) = $database -> dbrow( $query ) )
{
	$preference_key = strtolower( $preference_key );
	$preferences[ $preference_key ] = $preference_value;
}

$system -> init( 0 );
$uwrapper = new uwrapper;

$uwrapper -> bbconnect();

echo "Increasing SMF password field for Contentteller SHA512 passwords ... ";
$uwrapper -> bbquery( "ALTER TABLE " . $uwrapper -> bbescape( $preferences[ 'website_uwrapper_prefix' ] ) . "members CHANGE passwd passwd varchar(128)" );
echo "OK<br /><br />";
$uwrapper -> bbclose();

echo "Converting Users to phpBB 3<hr />";

$query = $database -> dbquery( "SELECT user_loginname, user_name, user_password, user_salt, user_email, user_posts FROM " . DB_PREFIX .  "esselbach_ct_users WHERE user_application = 'Contentteller' AND user_status = '1'" );
while( list( $username, $realname, $password, $salt, $email, $post ) = $database -> dbrow( $query ) )
{
	echo "Importing " . $username . "<br />";

	$username = $database -> dbescape( $username );
	$email = $database -> dbescape( $email );

	$uwrapper -> bbconnect();
	$uwrapper -> bbquery( "INSERT INTO " . $uwrapper -> bbescape( $preferences[ 'website_uwrapper_prefix' ] ) . "members (id_member, member_name, date_registered, posts, id_group, lngfile, last_login, real_name, instant_messages, unread_messages, new_pm, buddy_list, pm_ignore_list, pm_prefs, mod_prefs, message_labels, passwd, openid_uri, email_address, personal_text, gender, birthdate, website_title, website_url, location, icq, aim, yim, msn, hide_email, show_online, time_format, signature, time_offset, avatar, pm_email_notify, karma_bad, karma_good, usertitle, notify_announcements, notify_regularity, notify_send_body, notify_types, member_ip, member_ip2, secret_question, secret_answer, id_theme, is_activated, validation_code, id_msg_last_visit, additional_groups, smiley_set, id_post_group, total_time_logged_in, password_salt, ignore_boards, warning, passwd_flood, pm_receive_from) VALUES (NULL, '$username', '1347631579', '$post', '0', '', '0', '$realname', '0', '0', '0', '', '', '0', '', '', '$password', '', '$email', '', '0', '0001-01-01', '', '', '', '', '', '', '', '1', '1', '', '', '0', '', '1', '0', '0', '', '1', '1', '0', '2', '', '', '', '', '0', '1', '', '0', '', '', '4', '0', '$salt', '', '0', '', '1')");
	$uwrapper -> bbclose();
}

?>